{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    {{ student.roll_no }}
{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Update Marks
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            {% if internalMarkEntered %}
                {% if isStudentAbsent %}
                    <form method="POST">
                        {% csrf_token %}
                        <input type="hidden" name="goBackStaffCoursePk" value="{{ staffCourseInstance.pk }}">
                        <input type="hidden" name="goBackUnitTestNumber" value="{{ unitTestNumber }}">
                        <div class="alert alert-danger" role="alert" align="center">
                            <div><h5>{{ staffCourseInstance.course }}</h5></div>
                            <div><h4>
                                <strong>{{ studentInstance }}({{ studentInstance.roll_no }})</strong> is absent for the
                                unit test
                            </h4></div>
                        </div>
                        <div class="col-sm-2 col-sm-offset-5">
                            <button name="goBack" type="submit" class="save btn btn-lg btn-success">
                                Go Back
                            </button>
                        </div>
                    </form>
                {% else %}
                    <div class="alert alert-success" role="alert" align="center">
                        <div><h5>{{ staffCourseInstance.course }}</h5></div>
                        <div><h4>You are currently watching <strong>UT{{ unitTestNumber }}</strong> of
                            <strong>{{ studentInstance }}({{ studentInstance.roll_no }})</strong></h4></div>
                    </div>

                    <div class="col-md-6 col-sm-6 col-xs-6 col-md-offset-3 tile" align="center">
                        <h3>
                            <div>Internal Marks: <strong>{{ totalMarks }}</strong></div>
                        </h3>
                    </div>

                    <div class="row">
                        <form id="updateForm" method="POST" class="form-horizontal">
                            {% csrf_token %}
                            <input type="hidden" id="totalMarks" name="totalMarks"
                                   value="{{ totalMarks }}">
                            <input type="hidden" id="totalQuestions" name="totalQuestions" value="{{ totalQuestions }}">
                            <input type="hidden" name="hiddenUnitTestNumberOnUpdate" value="{{ unitTestNumber }}">
                            <input type="hidden" name="studentPk" value="{{ studentInstance.pk }}">
                            <input type="hidden" name="hiddenStaffCoursePkOnUpdate"
                                   value="{{ staffCourseInstance.pk }}">
                            <table class="table table-hover">
                                <thead>
                                <tr>
                                    <th>S. No.</th>
                                    <th>Question Number</th>
                                    <th>CO Mapped</th>
                                    <th>Mark Alloted</th>
                                    <th>Student Marks</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for question in coPatternList %}
                                    <tr>
                                        <td>{{ forloop.counter }}</td>
                                        <td>{{ question.userPrespectiveQuestionNumber }}</td>
                                        <td>{{ question.coMapped }}</td>
                                        <td>{{ question.maximumMark }}</td>
                                        <td>
                                            <input type="hidden" name="pattern-{{ forloop.counter }}"
                                                   value="{{ question.pk }}">
                                            <input class="form-control" placeholder="Obtained Mark" type="number"
                                                   id="mark-{{ forloop.counter }}" name="mark-{{ forloop.counter }}"
                                                   min="0"
                                                   max="{{ question.maximumMark }}" step="0.5"
                                                   value="{{ question.markObtained }}"
                                                   required>
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                            <div class="col-sm-2 col-sm-offset-5">
                                <button name="update" type="submit" class="save btn btn-lg btn-success"
                                        value="Update">Update
                                </button>
                            </div>
                        </form>
                        <br><br><br><br><br>
                    </div>
                {% endif %}
            {% else %}
                <form method="POST">
                    {% csrf_token %}
                    <input type="hidden" name="goBackStaffCoursePk" value="{{ staffCourseInstance.pk }}">
                    <input type="hidden" name="goBackUnitTestNumber" value="{{ unitTestNumber }}">
                    <div class="alert alert-danger" role="alert" align="center">
                        <div><h5>{{ staffCourseInstance.course }}</h5></div>
                        <div><h4>You have to enter marks for <strong>UT{{ unitTestNumber }}</strong> of
                            <strong>{{ studentInstance }}({{ studentInstance.roll_no }})</strong></h4></div>
                    </div>
                    <div class="col-sm-2 col-sm-offset-5">
                        <button name="goBack" type="submit" class="save btn btn-lg btn-success">
                            Go Back
                        </button>
                    </div>
                </form>
            {% endif %}
        </div>
        <br>
        <br>
        <br>
        <br>
    </div>
    <script type="text/javascript">
        $(document).on("submit", '#updateForm', function (e) {
            e.preventDefault();
            var totalMarks = $('#totalMarks').val();
            var totalQuestions = $('#totalQuestions').val();
            sum = 0;
            counter = 1;
            for (; counter <= parseInt(totalQuestions); counter++) {
                sum += parseFloat($('#mark-' + counter).val());
            }
            if (sum == parseFloat(totalMarks)) {
                $('#updateForm').submit();
            }
            else {
                if (sum > totalMarks) {
                    alert('Sum of all entered marks should be equal to ' + totalMarks + '\nYou have entered ' + sum + ' marks');
                }
                else {
                    alert('Sum of all entered marks should be equal to ' + totalMarks + '\nYou have entered only ' + sum + ' marks');
                }
            }
        });
    </script>
{% endblock %}